Debian Bug report logs - #708027
vile: FTBFS with perl 5.18: POD errors

version graph

Package: src:vile; Maintainer for src:vile is Brendan O'Dea <bod@debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sun, 12 May 2013 16:36:02 UTC

Severity: important

Tags: jessie, sid

Found in versions vile/9.8j-2, vile/9.8j-1

Fixed in version vile/9.8j-3

Done: Brendan O'Dea <bod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#708027; Package src:vile. (Sun, 12 May 2013 16:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. (Sun, 12 May 2013 16:36:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: vile: FTBFS with perl 5.18: POD errors
Date: Sun, 12 May 2013 17:31:43 +0100
Source: vile
Version: 9.8j-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.18-transition

This package FTBFS with perl 5.18 from experimental (in a clean
sbuild session):

vile-perl-api.pod around line 1185: Expected text after =item, not a number
vile-perl-api.pod around line 1189: Expected text after =item, not a number
POD document had syntax errors at /usr/bin/pod2text line 84.
make[1]: *** [vile-perl-api.doc] Error 255

This is because the POD parsers became more strict in perl 5.18.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Reply sent to Brendan O'Dea <bod@debian.org>:
You have taken responsibility. (Mon, 13 May 2013 09:36:19 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Mon, 13 May 2013 09:36:19 GMT) Full text and rfc822 format available.

Message #10 received at 708027-close@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: 708027-close@bugs.debian.org
Subject: Bug#708027: fixed in vile 9.8j-2
Date: Mon, 13 May 2013 09:33:40 +0000
Source: vile
Source-Version: 9.8j-2

We believe that the bug you reported is fixed in the latest version of
vile, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708027@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brendan O'Dea <bod@debian.org> (supplier of updated vile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 May 2013 19:03:22 +1000
Source: vile
Binary: vile-common vile vile-filters xvile
Architecture: source all i386
Version: 9.8j-2
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Brendan O'Dea <bod@debian.org>
Description: 
 vile       - VI Like Emacs - vi work-alike
 vile-common - VI Like Emacs - support files for vile/xvile
 vile-filters - VI Like Emacs - highlighting filters for vile/xvile
 xvile      - VI Like Emacs - vi work-alike (X11)
Closes: 708027
Changes: 
 vile (9.8j-2) unstable; urgency=low
 .
   * Fix POD documentation to work with Perl 5.18 (closes: #708027).
   * Locate xsubpp/typemap via @INC.
Checksums-Sha1: 
 d0d1edd3af8ba447b91c3c2987ff9f4ecb2c4ed1 2006 vile_9.8j-2.dsc
 eb638bef838c01221949531259f8b8db7ea1f13a 71962 vile_9.8j-2.diff.gz
 c0e1ba3f87b91d618c729bed4323e18c6d57a1a5 807970 vile-common_9.8j-2_all.deb
 8c5acabf89517ab597816104d174b27a6bf5be4e 409168 vile_9.8j-2_i386.deb
 413dd76a807ea5eb5ddd9761133d1318928d22e5 517644 vile-filters_9.8j-2_i386.deb
 21db571e9a53da615d7223002b0b18da4e465bf9 441646 xvile_9.8j-2_i386.deb
Checksums-Sha256: 
 44dd0cd12c38069d44c5ed064209bfc15e2a599a03f23e22a591734026897136 2006 vile_9.8j-2.dsc
 8c9d6430f27b86ba951390d6a35f8f858f74f2918c622e4d44eb264107f7d3ef 71962 vile_9.8j-2.diff.gz
 b6bc8f3fdea2e605a6be59a1e0fd5d4ecc47a63fbbd8ba4ad1340e7bf63030ce 807970 vile-common_9.8j-2_all.deb
 e027bb7afe2680781cea1c1ba5ace1bd936f05a6ffe9ab4a7987b92aa7ccf520 409168 vile_9.8j-2_i386.deb
 2126c08aa1854e46921ffee7b50020c9d8e85aae48d42765222aabcc49209dd1 517644 vile-filters_9.8j-2_i386.deb
 03fadcc1dfadd5484bc6b5e8eaf8cb66e42c673b407438cd96613c41b68114b3 441646 xvile_9.8j-2_i386.deb
Files: 
 e1dfc5a4d92d110087bf9f1e91640168 2006 editors optional vile_9.8j-2.dsc
 a8f94fc4024583705eeca62a61561744 71962 editors optional vile_9.8j-2.diff.gz
 d2ddba5e6057b90ea985e7aa12ce7e2e 807970 editors optional vile-common_9.8j-2_all.deb
 e216d810d5b34eb42a305f8b38609d61 409168 editors optional vile_9.8j-2_i386.deb
 7786d9b51f044631fa61643443cb151a 517644 editors optional vile-filters_9.8j-2_i386.deb
 0672b13f22300a44b6d87f5dfd46d54a 441646 editors optional xvile_9.8j-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRkK+2AAoJEBx8Qe3r3btgsIsQAKgxzXK0Jl9Mxmlz5vbPg2NL
Aa0+ZbtLlxFEg9EqtgCKZ5JMVjmrS9FPmWPJwzoB8x6aReM5xZ5wNaQk33ETtBNT
1BxgdOEkBp3VoJzoUTyUzdt/qq0UWuCH1x4n0eRJ9Zvv2G8XAxYMm1FpJuyXgpXW
wpRD3HRoDcMPpgALgnvjsf2vmdqI5nYuGvfAIp631BQp3ZTAG98n6KS84Sn3d2EL
lr+Y5if38qAl89yoM7WC8u9htFlbwma05L3IzXuZERyFeCCOC7GnxUsZA1m1soPt
H24aVpulGp+YBFcZG8uRf8EddRiviGYiqNLGfweHzY2F5Z8KP87Vn9K8droXlPWo
LUFSASDie5jHQrDaKPOakY0ktFz5PcIzcTudYyjtr0L3c+s7mh3noVswZBlwtSaw
ieDPNSqHTz0PR5eNBtKt/hV3S4TS/YbJfQzU2jxM5vDLOZVoVrAlTM2zNqCFwhKq
w9gfaJ9RTW6NVvVenlLg7nkGBZC540/JnfrdljrKsuDOXK7lT8xp73k+p4mWre21
PZg31MjxD7cK5I6RxGm1+mvXoXxZ/SXMOOYXI56FkJ39sicWHOXtAK48RgZQltlp
PwTqzERN7lsxFdLD0Yov3HvdkkJTenfz6Cv6MK4vrVyTTT1j13MbQRvCj/I3DCsj
MMCFYRrd+s45A4t3QkIB
=OLGc
-----END PGP SIGNATURE-----




Added tag(s) sid and jessie. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 18 May 2013 10:18:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#708027; Package src:vile. (Mon, 20 May 2013 20:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Mon, 20 May 2013 20:12:05 GMT) Full text and rfc822 format available.

Message #17 received at 708027@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 708027@bugs.debian.org
Subject: Re: Bug#708027 closed by Brendan O'Dea <bod@debian.org> (Bug#708027: fixed in vile 9.8j-2)
Date: Mon, 20 May 2013 21:09:03 +0100
Control: reopen -1
Control: found -1 9.8j-2

On Mon, May 13, 2013 at 09:36:19AM +0000, Debian Bug Tracking System wrote:
> Changes: 
>  vile (9.8j-2) unstable; urgency=low
>  .
>    * Fix POD documentation to work with Perl 5.18 (closes: #708027).

Regrettably we don't seem to be quite there yet:

vile-perl-api.pod around line 1266: =over without closing =back
POD document had syntax errors at /usr/bin/pod2text line 84.

I'll try and come up with fix to verify in a testing environment, if
you don't have one handy.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Bug reopened Request was from Dominic Hargreaves <dom@earth.li> to 708027-submit@bugs.debian.org. (Mon, 20 May 2013 20:12:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions vile/9.8j-2. Request was from Dominic Hargreaves <dom@earth.li> to 708027-submit@bugs.debian.org. (Mon, 20 May 2013 20:12:06 GMT) Full text and rfc822 format available.

Marked as found in versions vile/9.8j-2. Request was from Dominic Hargreaves <dom@earth.li> to 708027-submit@bugs.debian.org. (Mon, 20 May 2013 20:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#708027; Package src:vile. (Tue, 21 May 2013 10:09:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Brendan O'Dea" <bod@c47.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Tue, 21 May 2013 10:09:13 GMT) Full text and rfc822 format available.

Message #28 received at 708027@bugs.debian.org (full text, mbox):

From: "Brendan O'Dea" <bod@c47.org>
To: Dominic Hargreaves <dom@earth.li>, 708027@bugs.debian.org
Subject: Re: Bug#708027: closed by Brendan O'Dea <bod@debian.org> (Bug#708027: fixed in vile 9.8j-2)
Date: Tue, 21 May 2013 20:07:39 +1000
On 21 May 2013 06:09, Dominic Hargreaves <dom@earth.li> wrote:
> Regrettably we don't seem to be quite there yet:
>
> vile-perl-api.pod around line 1266: =over without closing =back
> POD document had syntax errors at /usr/bin/pod2text line 84.
>

Sorry Dominic, I just fixed the errors listed and didn't actually test
with the new Perl version.

I've just uploaded another change for 9.8j-3 which hopefully should do it.

I tested this change with pod2{man,text,html} from your experimental
package (not installed, but run from the build directory) so hopefully
this one should nail it.

--bod



Reply sent to Brendan O'Dea <bod@debian.org>:
You have taken responsibility. (Tue, 21 May 2013 10:21:13 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Tue, 21 May 2013 10:21:13 GMT) Full text and rfc822 format available.

Message #33 received at 708027-close@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: 708027-close@bugs.debian.org
Subject: Bug#708027: fixed in vile 9.8j-3
Date: Tue, 21 May 2013 10:18:06 +0000
Source: vile
Source-Version: 9.8j-3

We believe that the bug you reported is fixed in the latest version of
vile, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708027@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brendan O'Dea <bod@debian.org> (supplier of updated vile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 21 May 2013 19:44:01 +1000
Source: vile
Binary: vile-common vile vile-filters xvile
Architecture: source all i386
Version: 9.8j-3
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Brendan O'Dea <bod@debian.org>
Description: 
 vile       - VI Like Emacs - vi work-alike
 vile-common - VI Like Emacs - support files for vile/xvile
 vile-filters - VI Like Emacs - highlighting filters for vile/xvile
 xvile      - VI Like Emacs - vi work-alike (X11)
Closes: 708027
Changes: 
 vile (9.8j-3) unstable; urgency=low
 .
   * Fix perl inplace editing for files with multi-byte encoding.
   * Another POD documentation fix for Perl 5.18 (closes: #708027).
Checksums-Sha1: 
 1358391b1c5b2be96dd18b66ba0a5f85bef42dc1 2006 vile_9.8j-3.dsc
 05a54feb336ddfcc7dceccb7d403cc7c7ae8c13a 72256 vile_9.8j-3.diff.gz
 a24a90280f91e7119bb6e3d7f7c7ff03111c6447 808026 vile-common_9.8j-3_all.deb
 84623661c9f072f9c1abbf31ed36d2a2047eed47 409166 vile_9.8j-3_i386.deb
 4e333102fbfdfb76137b7002df879ddcba1794be 517664 vile-filters_9.8j-3_i386.deb
 7e51d7d0887ce9138ed86d499edb577b1ad3b32a 441646 xvile_9.8j-3_i386.deb
Checksums-Sha256: 
 396adc80a620863967e15380ed9aefa69669a915354339c2c2a99dd5b9d564f7 2006 vile_9.8j-3.dsc
 4f58bc6e9670b6a7d37a8f005e1ce3224903280b63c06fcc65e8c73f32c6ffe7 72256 vile_9.8j-3.diff.gz
 bf9e00448c5f7d0651ab98649f0f884bdd55afdc3a62a2c545a58bc167f9b575 808026 vile-common_9.8j-3_all.deb
 8a06faca2f912a49e138c0cb68482857043fcf79b091c7ba5ddc30b3d9037489 409166 vile_9.8j-3_i386.deb
 3eff5519380a14023b0efd3a948c3335ac4c497ac145eec55f311ef74cef5a8a 517664 vile-filters_9.8j-3_i386.deb
 c3e4763f53962cbe7d727115b03fb816afaf288e55d8ebbf48b6666413b5f88d 441646 xvile_9.8j-3_i386.deb
Files: 
 7aa3f73d240de69675ba5eefd6070ca5 2006 editors optional vile_9.8j-3.dsc
 7fc28072f946bf79ff0eb4dd8a63c466 72256 editors optional vile_9.8j-3.diff.gz
 7bd945c4e99d8653f806504620786cfe 808026 editors optional vile-common_9.8j-3_all.deb
 61a1d91ce835e1abc77d657c849909ed 409166 editors optional vile_9.8j-3_i386.deb
 11c9f9ee793ad10670a41afaf9968cf5 517664 editors optional vile-filters_9.8j-3_i386.deb
 0e72c7c25ce0b652dfd8229482ee0fd4 441646 editors optional xvile_9.8j-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRm0SCAAoJEBx8Qe3r3btgcO0P/js4hgfW2u/yY4DSO4fesjbf
Muvclyd0jyzD+CGWCKBE7oRXV+6U7ZjAfzgqZCuZYInZ/Z61914YJSUwYn4Guzzu
hw3jrL+AZQOKUQMq4vzUUAheC5ZIYUvLdMHGEfBK+7uk6oMhyQEtnthLt3galSq7
KTvJc373ze4Zm6fuCrMoWP2Jc9GNLXNUDu0jAYf6iTjKmkVq7zeGXgcngjyDKl3t
jKF1X1iuuB6sv3uwlXQ8QT2+5imRQxU5SspqTFo5E4UzdiQzI3bqbddGK4CXxek8
jPEk6O3pFaY7wdvAgjMVmLNbJhMoOeTB5c+ywJPczrchPlUbgEp7FQbYFRJ766BE
QMM9qG28+JXli0qbxzKwjvzy2JTvEIv70+Xe/UvmGhJ+SEhsgTI1P9B3Lg+jFeZ2
55CKBCO0AaTUmTrh/UUSanlgCqPHjCylksRg3sgWzcuirxH4sgQGvkknDi3UBTJK
qllGiXZY8lR9Y3TTDYaRPjBXYtxAy2bKYMeF/5Q2ZvZVWL/NhgA8OikyEfUIKe8k
46YrkXnB3mRqN/WyM+EYfiL6XdBS2ltEx+s9m4PofI0C9LDn0kwZEyf8TUaMnj2E
bMH17ORFkrmnlDpyfBGZuIMEXXz16vhghGOH6pY84NwSPnIt0RS+X9XpzBa+oPbG
ZcQzIBPapasxbQd4FA5f
=t8N9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:31:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:43:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.